<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://www.netbeans.org/ns/project/1">
    <type>org.netbeans.modules.apisupport.project</type>
    <configuration>
        <data xmlns="http://www.netbeans.org/ns/nb-module-project/3">
            <code-name-base>org.netbeans.modules.cnd.utils</code-name-base>
            <module-dependencies>
                <dependency>
                    <code-name-base>org.netbeans.modules.dlight.libs.common</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
                        <specification-version>1.7</specification-version>
                    </run-dependency>
                </dependency>
                <dependency>
                    <code-name-base>org.openide.awt</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
                        <specification-version>7.21</specification-version>
                    </run-dependency>
                </dependency>
                <dependency>
                    <code-name-base>org.openide.filesystems</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
                        <specification-version>7.42</specification-version>
                    </run-dependency>
                </dependency>
                <dependency>
                    <code-name-base>org.openide.util</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
                        <specification-version>8.11</specification-version>
                    </run-dependency>
                </dependency>
                <dependency>
                    <code-name-base>org.openide.util.lookup</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
                        <specification-version>8.0</specification-version>
                    </run-dependency>
                </dependency>
                <dependency>
                    <code-name-base>org.openide.windows</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
                        <specification-version>6.25</specification-version>
                    </run-dependency>
                </dependency>
            </module-dependencies>
            <test-dependencies>
                <test-type>
                    <name>unit</name>
                    <test-dependency>
                        <code-name-base>org.netbeans.insane</code-name-base>
                        <compile-dependency/>
                    </test-dependency>
                    <test-dependency>
                        <code-name-base>org.netbeans.libs.junit4</code-name-base>
                        <compile-dependency/>
                    </test-dependency>
                    <test-dependency>
                        <code-name-base>org.netbeans.modules.cnd.api.remote</code-name-base>
                        <compile-dependency/>
                    </test-dependency>
                    <test-dependency>
                        <code-name-base>org.netbeans.modules.cnd.remote</code-name-base>
                        <compile-dependency/>
                    </test-dependency>
                    <test-dependency>
                        <code-name-base>org.netbeans.modules.dlight.nativeexecution</code-name-base>
                        <recursive/>
                        <compile-dependency/>
                        <test/>
                    </test-dependency>
                    <test-dependency>
                        <code-name-base>org.netbeans.modules.dlight.remote</code-name-base>
                        <compile-dependency/>
                    </test-dependency>
                    <test-dependency>
                        <code-name-base>org.netbeans.modules.dlight.remote.impl</code-name-base>
                        <compile-dependency/>
                    </test-dependency>
                    <test-dependency>
                        <code-name-base>org.netbeans.modules.extexecution</code-name-base>
                        <compile-dependency/>
                    </test-dependency>
                    <test-dependency>
                        <code-name-base>org.netbeans.modules.masterfs</code-name-base>
                        <compile-dependency/>
                    </test-dependency>
                    <test-dependency>
                        <code-name-base>org.netbeans.modules.nbjunit</code-name-base>
                        <compile-dependency/>
                    </test-dependency>
                    <test-dependency>
                        <code-name-base>org.openide.modules</code-name-base>
                        <compile-dependency/>
                    </test-dependency>
                </test-type>
            </test-dependencies>
            <friend-packages>
                <friend>com.microchip.mdbcore</friend>
                <friend>com.microchip.mplab.debugger.mdb</friend>
                <friend>com.microchip.mplab.nbide.embedded</friend>
                <friend>com.microchip.mplab.nbide.embedded.makeproject</friend>
                <friend>com.oracle.tools.ide.projectless.debug.impl</friend>
                <friend>com.oracle.tools.ide.projectless.impl</friend>
                <friend>com.sun.tools.analytics.codemodel.bridge</friend>
                <friend>com.sun.tools.analytics.indicators</friend>
                <friend>com.sun.tools.analytics.oss.support</friend>
                <friend>com.sun.tools.analytics.targets.gui</friend>
                <friend>com.sun.tools.analytics.utils</friend>
                <friend>com.sun.tools.analytics.utils.ui</friend>
                <friend>com.sun.tools.cnd.accessor</friend>
                <friend>com.sun.tools.debugger.common</friend>
                <friend>com.sun.tools.debugger.dbx</friend>
                <friend>com.sun.tools.debugger.dbxfacade.tool</friend>
                <friend>com.sun.tools.debugger.dbxgui</friend>
                <friend>com.sun.tools.debugger.gdb</friend>
                <friend>com.sun.tools.devplatform.management</friend>
                <friend>com.sun.tools.discovery</friend>
                <friend>com.sun.tools.dwarf.lwmodel</friend>
                <friend>com.sun.tools.ide.analysis.analytics</friend>
                <friend>com.sun.tools.ide.analysis.common</friend>
                <friend>com.sun.tools.ide.analysis.discover</friend>
                <friend>com.sun.tools.ide.analysis.parfait</friend>
                <friend>com.sun.tools.ide.analysis.previse</friend>
                <friend>com.sun.tools.ide.analysis.tha</friend>
                <friend>com.sun.tools.ide.remote</friend>
                <friend>com.sun.tools.ide.remote.projectui</friend>
                <friend>com.sun.tools.odb</friend>
                <friend>com.sun.tools.sendto</friend>
                <friend>com.sun.tools.tuxedo.codemodel.bridge</friend>
                <friend>com.sun.tools.tuxedo.completion</friend>
                <friend>com.sun.tools.tuxedo.componentproject</friend>
                <friend>com.sun.tools.tuxedo.model</friend>
                <friend>com.sun.tools.tuxedo.project</friend>
                <friend>com.sun.tools.tuxedo.source</friend>
                <friend>com.sun.tools.tuxedo.suites</friend>
                <friend>com.sun.tools.tuxedo.testrunner</friend>
                <friend>com.sun.tools.tuxedo.ubb</friend>
                <friend>org.netbeans.modules.cnd</friend>
                <friend>org.netbeans.modules.cnd.api.model</friend>
                <friend>org.netbeans.modules.cnd.api.project</friend>
                <friend>org.netbeans.modules.cnd.api.remote</friend>
                <friend>org.netbeans.modules.cnd.apt</friend>
                <friend>org.netbeans.modules.cnd.asm</friend>
                <friend>org.netbeans.modules.cnd.audit</friend>
                <friend>org.netbeans.modules.cnd.cesredirector</friend>
                <friend>org.netbeans.modules.cnd.classview</friend>
                <friend>org.netbeans.modules.cnd.cncppunit</friend>
                <friend>org.netbeans.modules.cnd.completion</friend>
                <friend>org.netbeans.modules.cnd.debugger.common2</friend>
                <friend>org.netbeans.modules.cnd.debugger.dbx</friend>
                <friend>org.netbeans.modules.cnd.debugger.gdb2</friend>
                <friend>org.netbeans.modules.cnd.discovery</friend>
                <friend>org.netbeans.modules.cnd.dwarfdiscovery</friend>
                <friend>org.netbeans.modules.cnd.editor</friend>
                <friend>org.netbeans.modules.cnd.gizmo</friend>
                <friend>org.netbeans.modules.cnd.gotodeclaration</friend>
                <friend>org.netbeans.modules.cnd.highlight</friend>
                <friend>org.netbeans.modules.cnd.indexing</friend>
                <friend>org.netbeans.modules.cnd.lexer</friend>
                <friend>org.netbeans.modules.cnd.makeproject</friend>
                <friend>org.netbeans.modules.cnd.makeproject.source.bridge</friend>
                <friend>org.netbeans.modules.cnd.model.services</friend>
                <friend>org.netbeans.modules.cnd.modeldiscovery</friend>
                <friend>org.netbeans.modules.cnd.modelimpl</friend>
                <friend>org.netbeans.modules.cnd.modelui</friend>
                <friend>org.netbeans.modules.cnd.modelutil</friend>
                <friend>org.netbeans.modules.cnd.navigation</friend>
                <friend>org.netbeans.modules.cnd.parfait</friend>
                <friend>org.netbeans.modules.cnd.qnavigator</friend>
                <friend>org.netbeans.modules.cnd.refactoring</friend>
                <friend>org.netbeans.modules.cnd.remote</friend>
                <friend>org.netbeans.modules.cnd.remote.projectui</friend>
                <friend>org.netbeans.modules.cnd.repository</friend>
                <friend>org.netbeans.modules.cnd.script</friend>
                <friend>org.netbeans.modules.cnd.simpleunit</friend>
                <friend>org.netbeans.modules.cnd.source</friend>
                <friend>org.netbeans.modules.cnd.spellchecker.bindings</friend>
                <friend>org.netbeans.modules.cnd.testrunner</friend>
                <friend>org.netbeans.modules.cnd.tha</friend>
                <friend>org.netbeans.modules.cnd.toolchain</friend>
                <friend>org.netbeans.modules.dlight.discover</friend>
                <friend>org.netbeans.modules.dlight.previse</friend>
                <friend>org.netbeans.modules.dlight.tha</friend>
                <friend>org.netbeans.modules.dlight.uncover</friend>
                <package>org.netbeans.modules.cnd.debug</package>
                <package>org.netbeans.modules.cnd.spi.editor</package>
                <package>org.netbeans.modules.cnd.spi.utils</package>
                <package>org.netbeans.modules.cnd.support</package>
                <package>org.netbeans.modules.cnd.utils</package>
                <package>org.netbeans.modules.cnd.utils.cache</package>
                <package>org.netbeans.modules.cnd.utils.ui</package>
            </friend-packages>
        </data>
    </configuration>
</project>
